=head1 NAME

Gtk2::Combo

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::Combo



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable



=cut


=head1 DEPRECATION WARNING

Gtk2::Combo has been marked as deprecated, and should not be used in newly written code.

You should use L<Gtk2::ComboBox> instead of Gtk2::Combo.


=cut


=head1 METHODS

=head2 widget = Gtk2::Combo-E<gt>B<new> 

=head2 $combo-E<gt>B<set_case_sensitive> ($val)

=over

=item * $val (boolean) 

=back

=head2 $combo-E<gt>B<disable_activate> 

=head2 widget = $combo-E<gt>B<entry> 

=head2 $combo-E<gt>B<set_item_string> ($item, $item_value)

=over

=item * $item (Gtk2::Item) 

=item * $item_value (string) 

=back

=head2 widget = $combo-E<gt>B<list> 

=head2 $combo-E<gt>B<set_popdown_strings> (...)

=over

=item * ... (list) of strings

=back



=head2 $combo-E<gt>B<set_use_arrows_always> ($val)

=over

=item * $val (boolean) 

=back

=head2 $combo-E<gt>B<set_use_arrows> ($val)

=over

=item * $val (boolean) 

=back

=head2 $combo-E<gt>B<set_value_in_list> ($val, $ok_if_empty)

=over

=item * $val (boolean) 

=item * $ok_if_empty (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'allow-empty' (boolean : default true : readable / writable / private)

Whether an empty value may be entered in this field

=item 'case-sensitive' (boolean : default false : readable / writable / private)

Whether list item matching is case sensitive

=item 'enable-arrow-keys' (boolean : default true : readable / writable / private)

Whether the arrow keys move through the list of items

=item 'enable-arrows-always' (boolean : default true : readable / writable / private)

Obsolete property, ignored

=item 'value-in-list' (boolean : default false : readable / writable / private)

Whether entered values must already be present in the list

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::HBox>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

